# Groups

class Groups extends ArrayList implements ModelObject

Description of Posts

## Methods

__construct(array $data = array())

No description

from ArrayList
clear()

No description

from ArrayList
get($key)

No description

from ArrayList
set($key, $value)

No description

from ArrayList
add($key, $value)

No description

from ArrayList
remove($key)

No description

from ArrayList
bool
hasKey(mixed $key)

No description

from ArrayList
mixed
hasValue(string $value)

No description

from ArrayList
ArrayList
replace(array $data)

No description

from ArrayList
getIterator()

No description

from ArrayList
offsetGet($offset)

No description

from ArrayList
offsetSet($offset, $value)

No description

from ArrayList
offsetExists($offset)

No description

from ArrayList
offsetUnset($offset)

No description

from ArrayList
array
toArray()

Get the array representation of an object

from ArrayList
count()

No description

from ArrayList
getNext()

No description

setNext($next)

No description

getStart()

No description

getEnd()

No description

setStart($start)

No description

setEnd($end)

No description

__toString()

No description

$this
sort(string $order = Sorting::ORDER_ASC)

No description

## Details

###
in ArrayList at line 42
`__construct(array $data = array())`

#### Parameters

array | $data |

###
in ArrayList at line 46
`clear()`

###
in ArrayList at line 51
`get($key)`

#### Parameters

| $key |

###
in ArrayList at line 55
`set($key, $value)`

#### Parameters

| $key |
| $value |

###
in ArrayList at line 60
`add($key, $value)`

#### Parameters

| $key |
| $value |

###
in ArrayList at line 74
`remove($key)`

#### Parameters

| $key |

###
in ArrayList at line 85
`bool hasKey(mixed $key)`

#### Parameters

mixed | $key |

#### Return Value

bool |

###
in ArrayList at line 95
`mixed hasValue(string $value)`

#### Parameters

string | $value |

#### Return Value

mixed |

###
in ArrayList at line 105
`ArrayList replace(array $data)`

#### Parameters

array | $data |

#### Return Value

ArrayList |

###
in ArrayList at line 111
`getIterator()`

###
in ArrayList at line 116
`offsetGet($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 121
`offsetSet($offset, $value)`

#### Parameters

| $offset |
| $value |

###
in ArrayList at line 126
`offsetExists($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 131
`offsetUnset($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 136
`array toArray()`

Get the array representation of an object

#### Return Value

array |

###
in ArrayList at line 141
`count()`

###
at line 49
`getNext()`

###
at line 53
`setNext($next)`

#### Parameters

| $next |

###
at line 58
`getStart()`

###
at line 62
`getEnd()`

###
at line 66
`setStart($start)`

#### Parameters

| $start |

###
at line 70
`setEnd($end)`

#### Parameters

| $end |

###
at line 74
`__toString()`

###
at line 83
`$this sort(string $order = Sorting::ORDER_ASC)`

#### Parameters

string | $order | sorting order (allowed values: asc|desc)

#### Return Value

$this |